Summary: Real-time audio synthesis and graphics/multimedia language
Name: chuck
Version: 1.2.0.7
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://chuck.cs.princeton.edu/
Source0: http://chuck.cs.princeton.edu/release/files/chuck-%{version}.tgz
# emacs mode from: http://wiki.cs.princeton.edu/index.php/Recent_chuck-mode.el
Source1: chuck-mode.el
Patch0: chuck-1.2.0.7-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution: Planet CCRMA
Vendor: Planet CCRMA
Packager: Fernando Lopez-Lezcano

BuildRequires: bison flex jack-audio-connection-kit-devel, 
BuildRequires: alsa-lib-devel libsndfile-devel

%description
ChucK is a general-purpose programming language, intended for
real-time audio synthesis and graphics/multimedia programming.  It
introduces a truly concurrent programming model that embeds timing
directly in the program flow.  Other potentially useful features include
the ability to write/change programs on-the-fly.

%prep
%setup -q
%patch0 -p1

%build
cd src

# build alsa version
%{__make} linux-alsa
%{__mv} chuck chuck-alsa

# build jack version
%{__make} clean
%{__make} linux-jack

%install
%{__rm} -rf %{buildroot}

# install jack version (last built)
cd src
%{__mkdir} -p %{buildroot}%{_bindir}
%{__make} DESTDIR=%{buildroot}%{_bindir} linux-jack install

# install alsa version
install -m 755 chuck-alsa %{buildroot}%{_bindir}/chuck-alsa

# install emacs mode
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
cp -a %{SOURCE1} %{buildroot}%{_datadir}/emacs/site-lisp/chuck.el
mkdir -p %{buildroot}%{_libdir}/xemacs/site-packages/lisp/chuck/
cp -a %{SOURCE1} %{buildroot}%{_libdir}/xemacs/site-packages/lisp/chuck/chuck.el

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING DEVELOPER PROGRAMMER QUICKSTART README 
%doc THANKS TODO VERSIONS doc examples
%{_bindir}/*
%{_datadir}/emacs/site-lisp/*
%{_libdir}/xemacs/site-packages/lisp/chuck/*

%changelog
* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.7-2
- build for fc6

* Fri Sep 22 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.7-1
- updated to 1.2.0.7, redid makefile patch for defining -DAJAY

* Tue Jul 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.6-3
- keep the old chuck.el file name (not chuck-mode.el)

* Tue Jul 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.6-2
- updated to 1.2.0.6, updated emacs mode file

* Wed Jul 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.5-2
- build with additional experimental objects (see patch0), thanks to
  Ge Wang for the tip
- add an alsa only chuck in /usr/bin/chuck-alsa
- install emacs mode for chuck files

* Mon Jul 10 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0.5-1
- initial build.
